library bit_ads_pakage;
import 'package:admob_flutter/admob_flutter.dart';
import 'package:flutter/material.dart';

late AdmobInterstitial interstitialAd;

class IntraGoogleAdsLoad extends StatefulWidget {
  var onPressed;
  final Widget child;

  IntraGoogleAdsLoad({Key? key, @required this.onPressed, required this.child})
      : super(key: key);

  @override
  _IntraGoogleAdsLoadState createState() => _IntraGoogleAdsLoadState();
}

class _IntraGoogleAdsLoadState extends State<IntraGoogleAdsLoad> {
  loadAds() {
    interstitialAd = AdmobInterstitial(
      adUnitId: "21212121",
    );
    interstitialAd.load();
  }

  @override
  Widget build(BuildContext context) {
    return loadAds();
  }
}

class RewardGoogleAdsLoad extends StatefulWidget {
  const RewardGoogleAdsLoad({Key? key}) : super(key: key);

  @override
  _RewardGoogleAdsLoadState createState() => _RewardGoogleAdsLoadState();
}

class _RewardGoogleAdsLoadState extends State<RewardGoogleAdsLoad> {
  late AdmobReward rewardAd;

  rewardLoad() {
    rewardAd = AdmobReward(
      adUnitId: "123123",
    );
    rewardAd.load();
  }

  @override
  Widget build(BuildContext context) {
    return rewardLoad();
  }
}

class BannerAdsGoogleShow extends StatefulWidget {
  const BannerAdsGoogleShow({Key? key}) : super(key: key);

  @override
  _BannerAdsGoogleShowState createState() => _BannerAdsGoogleShowState();
}

class _BannerAdsGoogleShowState extends State<BannerAdsGoogleShow> {
  showBanner() {
    AdmobBannerSize? bannerSize;
    AdmobBanner(
      adUnitId: "32132132132",
      adSize: AdmobBannerSize.BANNER,
    );
  }

  @override
  Widget build(BuildContext context) {
    return showBanner();
  }
}
